Package picard.fastq

## Class IlluminaReadNameEncoder

- java.lang.Object
- - picard.fastq.IlluminaReadNameEncoder

- All Implemented Interfaces:
    `ReadNameEncoder`

      public class IlluminaReadNameEncoder
      extends Object
      implements ReadNameEncoder

  A read name encoder following the encoding initially produced by picard fastq writers. Illumina sequence identifiers almost describes the format used here, except instead of an instrument name, we write the run barcode.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaReadNameEncoder​(String runBarcode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `generateReadName​(ClusterData cluster, Integer pairNumber)` | Generates a read name string for the provided cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IlluminaReadNameEncoder

          public IlluminaReadNameEncoder​(String runBarcode)

  - ### Method Detail

    - #### generateReadName

          public String generateReadName​(ClusterData cluster,
                                         Integer pairNumber)

      Description copied from interface: `ReadNameEncoder`
      Generates a read name string for the provided cluster.
      Specified by:
        `generateReadName` in interface `ReadNameEncoder`
      Parameters:
        `cluster` - The cluster whose reads are having its name generated
        `pairNumber` - 1 if this is the first of the pair, 2 if it is the second, or null if this not a paired read.
      Returns:
        The read name